*Table 3 - Beta Convergence Split Sample

* --------------------
* Panel A: GDP Per Capita - Early Sample
* --------------------
use "$dir/Oliver Upton - EJ 2022 - Cross Section.dta", clear		

	gen avggrowthrate_20yr = 100*( (1/20)*(gdp_pc9094 - gdp_pc7074) / gdp_pc7074 )
		label var avggrowthrate_20yr "Averge GDP Growth Rate Between 1970-74 and 1990-94"
	replace gdp_pc7074 = ln(gdp_pc7074)
		label var gdp_pc7074 "Log Real GDP per Capita - 1970-1974"
		
	*Full Sample
	reg  avggrowthrate_20yr  gdp_pc7074 , robust
	reg  avggrowthrate_20yr  gdp_pc7074 $controls , robust
		
	*Energy Endowed		
	reg  avggrowthrate_20yr  gdp_pc7074 if energyendowment==1, robust
	reg  avggrowthrate_20yr  gdp_pc7074 $controls if energyendowment==1, robust
	
	*Non-Energy Endowed	
	reg  avggrowthrate_20yr  gdp_pc7074 if energyendowment==0, robust
	reg  avggrowthrate_20yr  gdp_pc7074 $controls if energyendowment==0, robust
		
* --------------------
* Panel B: GDP Per Capita - Late Sample
* --------------------
use "$dir/Oliver Upton - EJ 2022 - Cross Section.dta", clear		
		
	gen avggrowthrate_20yr = 100*( (1/20)*(gdp_pc1014 - gdp_pc9094) / gdp_pc9094 )
		label var avggrowthrate_40yr "Averge GDP Growth Rate Between 1990-94 and 2010-14"

	replace gdp_pc9094 = ln(gdp_pc9094)
		label var gdp_pc9094 "Log Real GDP per Capita - 1990-94"

	*Full Sample
	reg  avggrowthrate_20yr  gdp_pc9094 , robust
	reg  avggrowthrate_20yr  gdp_pc9094 $controls , robust

	*Energy Endowed		
	reg  avggrowthrate_20yr  gdp_pc9094 if energyendowment==1, robust
	reg  avggrowthrate_20yr  gdp_pc9094 $controls if energyendowment==1, robust
			
	*Non-Energy Endowed
	reg  avggrowthrate_20yr  gdp_pc9094 if energyendowment==0, robust
	reg  avggrowthrate_20yr  gdp_pc9094 $controls if energyendowment==0, robust

* --------------------
* Panel C: Consumption Per Capita - Early Sample
* --------------------
		
	use "$dir/Oliver Upton - EJ 2022 - Cross Section.dta", clear		
		
	gen cavggrowthrate_20yr = 100*( (1/20)*(consumption_pc9094 - consumption_pc7074) / consumption_pc7074 )
		label var cavggrowthrate_20yr "Averge Consumption Growth Rate Between 1970-74 and 1990-94"
	replace consumption_pc7074 = ln(consumption_pc7074)
		label var consumption_pc7074 "Log Real Consumption per Capita - 1970-74"

	*Full Sample	
	reg  cavggrowthrate_20yr  consumption_pc7074 , robust
	reg  cavggrowthrate_20yr  consumption_pc7074 $controls , robust
		
	*Energy Endowed		
	reg  cavggrowthrate_20yr  consumption_pc7074 if energyendowment==1, robust
	reg  cavggrowthrate_20yr  consumption_pc7074 $controls if energyendowment==1, robust
	
	*Non-Energy Endowed
	reg  cavggrowthrate_20yr  consumption_pc7074 if energyendowment==0, robust
	reg  cavggrowthrate_20yr  consumption_pc7074 $controls if energyendowment==0, robust
		
* --------------------
* Panel D: Consumption Per Capita - Late Sample
* --------------------
	
	use "$dir/Oliver Upton - EJ 2022 - Cross Section.dta", clear		

	gen cavggrowthrate_20yr = 100* ( (1/20)*(consumption_pc1014 - consumption_pc9094) / consumption_pc9094 ) 
		label var cavggrowthrate_20yr "Averge Consumption Growth Rate Between 1990-94 and 2010-14"	
	replace consumption_pc9094 = ln(consumption_pc9094)
		label var consumption_pc9094 "Log Real Consumption per Capita - 1990-94"
	
	*Full Sample	
	reg  cavggrowthrate_20yr  consumption_pc9094 , robust
	reg  cavggrowthrate_20yr  consumption_pc9094 $controls , robust

	*Energy Endowed		
	reg  cavggrowthrate_20yr  consumption_pc9094 if energyendowment==1, robust
	reg  cavggrowthrate_20yr  consumption_pc9094 $controls if energyendowment==1, robust
			
	*Non-Energy Endowed
	reg  cavggrowthrate_20yr  consumption_pc9094 if energyendowment==0, robust
	reg  cavggrowthrate_20yr  consumption_pc9094 $controls if energyendowment==0, robust
