* Table 4 - Resource Rents Robustness Checks

use "$dir/Oliver Upton - EJ 2022 - Cross Section.dta", clear		

* --------------------
* Panel A: GDP Per Capita
* --------------------

	replace gdp_pc7074 = ln(gdp_pc7074)
		label var gdp_pc7074 "Log Real GDP per Capita - 1970-1974"

	*Full Sample
	reg  avggrowthrate_40yr rents7074 , robust	
	reg  avggrowthrate_40yr  gdp_pc7074 rents7074 , robust	
	reg  avggrowthrate_40yr  gdp_pc7074 rents7074 $controls, robust	

	*Energy Endowed Countries
	reg  avggrowthrate_40yr   rents7074 if energyendowment==1, robust	
	reg  avggrowthrate_40yr  gdp_pc7074 rents7074 if energyendowment==1, robust	
	reg  avggrowthrate_40yr  gdp_pc7074  rents7074 $controls if energyendowment==1, robust	

	*Non-Energy Endowed Countries
	reg  avggrowthrate_40yr    rents7074 if energyendowment==0, robust	
	reg  avggrowthrate_40yr  gdp_pc7074 rents7074 if energyendowment==0, robust	
	reg  avggrowthrate_40yr  gdp_pc7074 rents7074  $controls if energyendowment==0, robust	
		
* --------------------
* Panel B: Consumption Per Capita
* --------------------

	replace consumption_pc7074 = ln(consumption_pc7074)
		label var consumption_pc7074 "Log Real Consumption per Capita - 1970-1974"

	*Full Sample
	reg  cavggrowthrate_40yr rents7074 , robust	
	reg  cavggrowthrate_40yr  consumption_pc7074 rents7074, robust	
	reg  cavggrowthrate_40yr  consumption_pc7074 rents7074 $controls, robust	

	*Energy Endowed Countries
	reg  cavggrowthrate_40yr rents7074 if energyendowment==1, robust	
	reg  cavggrowthrate_40yr  consumption_pc7074 rents7074 if energyendowment==1, robust	
	reg  cavggrowthrate_40yr  consumption_pc7074 rents7074 $controls if energyendowment==1, robust	

	*Non-Energy Endowed Countries
	reg  cavggrowthrate_40yr rents7074 if energyendowment==0, robust	
	reg  cavggrowthrate_40yr  consumption_pc7074 rents7074 if energyendowment==0, robust	
	reg  cavggrowthrate_40yr  consumption_pc7074 rents7074 $controls if energyendowment==0, robust	
